.common_actions_remove_weight: &common_actions_remove_weight
  comment: |
    The weight has been removed from this issue, according to the [Govern](https://about.gitlab.com/handbook/engineering/development/sec/govern/)
    refinement process for [bugs](https://about.gitlab.com/handbook/engineering/development/sec/govern/planning/#bug-diagnosis)
    and [spikes](https://about.gitlab.com/handbook/engineering/development/sec/govern/planning/#refinement-for-spikes).

    If you want to indicate the complexity of a ~"type::bug" or ~"spike", please
    use the `backend-weight` and/or the `frontend-weight` labels instead.

    [Bot policy](https://gitlab.com/gitlab-org/quality/triage-ops/-/blob/master/policies/groups/gitlab-org/threat-insights/issue-weights.yml).

    /clear_weight

resource_rules:
  issues:
    rules:
      - name: Remove weights from bugs and issues
        conditions:
          state: opened
          weight: Any
          labels:
            - "group::threat insights"
            - "{type::bug,spike}"
        actions:
          <<: *common_actions_remove_weight
